{
  "main": "dist/server.js",
  "scripts": {
    "build": "rimraf dist && npx tsc",
    "start": "node dist/src/server.js",
    "predev": "npm run build",
    "dev": "npx tsc -w & nodemon dist/src/server.js",
    "predocs": "npm run build",
    "docs": "jsdoc -c jsdoc.json",
    "pretest": "npm run build",
    "test": "ts-node -O '{\"module\":\"commonjs\"}' node_modules/jest/bin/jest.js"
  },
  "dependencies": {
    "@types/express": "^4.17.21",
    "@types/node": "^20.12.7",
    "axios": "^1.6.8",
    "cors": "^2.8.5",
    "dotenv": "^16.4.5",
    "express": "^4.19.2",
    "rimraf": "^5.0.5",
    "swagger-jsdoc": "^6.2.8",
    "swagger-ui-express": "^5.0.0"
  },
  "devDependencies": {
    "@types/cors": "^2.8.17",
    "@types/jest": "^29.5.12",
    "@types/rewire": "^2.5.30",
    "@types/supertest": "^6.0.2",
    "babel-cli": "^6.26.0",
    "babel-preset-env": "^1.7.0",
    "better-docs": "^2.7.3",
    "jest": "^29.7.0",
    "jsdoc": "^4.0.3",
    "jsdoc-mermaid": "^1.0.0",
    "nodemon": "^3.1.0",
    "rewire": "^7.0.0",
    "superagent": "^9.0.2",
    "supertest": "^7.0.0",
    "ts-jest": "^29.1.2",
    "ts-node": "^10.9.2",
    "typedoc": "^0.25.13",
    "typescript": "^5.4.5"
  }
}
